<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: AreaDamageLooped Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('dd/dd7/class_area_damage_looped.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">AreaDamageLooped Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for AreaDamageLooped:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../dd/dd7/class_area_damage_looped.png" usemap="#AreaDamageLooped_map" alt=""/>
  <map id="AreaDamageLooped_map" name="AreaDamageLooped_map">
<area href="../../da/d1b/class_area_damage_looped_deferred.html" title="Deferred version of AreaDamageLooped." alt="AreaDamageLoopedDeferred" shape="rect" coords="0,112,245,136"/>
<area href="../../df/d5e/class_area_damage_looped_deferred___no_vehicle.html" title="A particular version of the deferred loop used to not damage players inside vehicles." alt="AreaDamageLoopedDeferred_NoVehicle" shape="rect" coords="0,168,245,192"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:aff4713b0c7ed8b01ff2d0498ca7abb58"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dd7/class_area_damage_looped.html#aff4713b0c7ed8b01ff2d0498ca7abb58">AreaDamageLooped</a> (<a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> parent, <a class="el" href="../../d9/db9/classbool.html">bool</a> loopByObject=true)</td></tr>
<tr class="separator:aff4713b0c7ed8b01ff2d0498ca7abb58"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aab711ad7baea97bfe8181a017082536f"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dd7/class_area_damage_looped.html#aab711ad7baea97bfe8181a017082536f">OnTriggerCreated</a> ()</td></tr>
<tr class="memdesc:aab711ad7baea97bfe8181a017082536f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets called when the trigger is spawned, so is the start and also a reset.  <a href="../../dd/dd7/class_area_damage_looped.html#aab711ad7baea97bfe8181a017082536f">More...</a><br /></td></tr>
<tr class="separator:aab711ad7baea97bfe8181a017082536f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a98cd3cc3481b5375bd476f3a1bf32f04"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dd7/class_area_damage_looped.html#a98cd3cc3481b5375bd476f3a1bf32f04">SetLoopInterval</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> time)</td></tr>
<tr class="separator:a98cd3cc3481b5375bd476f3a1bf32f04"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa91351d6a029f270eb18597a82a710b"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dd7/class_area_damage_looped.html#aaa91351d6a029f270eb18597a82a710b">OnEnterServerEvent</a> (<a class="el" href="../../d2/db9/class_trigger_insider.html">TriggerInsider</a> insider)</td></tr>
<tr class="separator:aaa91351d6a029f270eb18597a82a710b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae01de4c6e7c6e69331a5ef46269ae790"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dd7/class_area_damage_looped.html#ae01de4c6e7c6e69331a5ef46269ae790">OnStayStartServerEvent</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> nrOfInsiders)</td></tr>
<tr class="separator:ae01de4c6e7c6e69331a5ef46269ae790"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a293122f18815fe5b37d4959182941306"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dd7/class_area_damage_looped.html#a293122f18815fe5b37d4959182941306">OnStayServerEvent</a> (<a class="el" href="../../d2/db9/class_trigger_insider.html">TriggerInsider</a> insider, <a class="el" href="../../d4/dc3/classfloat.html">float</a> deltaTime)</td></tr>
<tr class="separator:a293122f18815fe5b37d4959182941306"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aba003bd67caea31ef69577f196de7b4a"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dd7/class_area_damage_looped.html#aba003bd67caea31ef69577f196de7b4a">OnStayFinishServerEvent</a> ()</td></tr>
<tr class="separator:aba003bd67caea31ef69577f196de7b4a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a52b68fbafc24d68e3eb075c047c74c44"><td class="memItemLeft" align="right" valign="top">override protected <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dd7/class_area_damage_looped.html#a52b68fbafc24d68e3eb075c047c74c44">CalculateDamageScale</a> (<a class="el" href="../../d2/db9/class_trigger_insider.html">TriggerInsider</a> insider, <a class="el" href="../../d4/dc3/classfloat.html">float</a> deltaTime)</td></tr>
<tr class="separator:a52b68fbafc24d68e3eb075c047c74c44"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:af5269c3018e62bdf472e50b3a418be8a"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dd7/class_area_damage_looped.html#af5269c3018e62bdf472e50b3a418be8a">m_CurrentTime</a> = 0.0</td></tr>
<tr class="memdesc:af5269c3018e62bdf472e50b3a418be8a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Current start time in seconds.  <a href="../../dd/dd7/class_area_damage_looped.html#af5269c3018e62bdf472e50b3a418be8a">More...</a><br /></td></tr>
<tr class="separator:af5269c3018e62bdf472e50b3a418be8a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6512f77a804d445ec9b21eba709bd2ee"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dd7/class_area_damage_looped.html#a6512f77a804d445ec9b21eba709bd2ee">m_PreviousTime</a> = 0.0</td></tr>
<tr class="memdesc:a6512f77a804d445ec9b21eba709bd2ee"><td class="mdescLeft">&#160;</td><td class="mdescRight">Previous start time in seconds.  <a href="../../dd/dd7/class_area_damage_looped.html#a6512f77a804d445ec9b21eba709bd2ee">More...</a><br /></td></tr>
<tr class="separator:a6512f77a804d445ec9b21eba709bd2ee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2e3a5dc0a51b664c60ae8010a2ea8381"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dd7/class_area_damage_looped.html#a2e3a5dc0a51b664c60ae8010a2ea8381">m_AccumulatedTime</a> = 0.0</td></tr>
<tr class="memdesc:a2e3a5dc0a51b664c60ae8010a2ea8381"><td class="mdescLeft">&#160;</td><td class="mdescRight">How much time has accumulated.  <a href="../../dd/dd7/class_area_damage_looped.html#a2e3a5dc0a51b664c60ae8010a2ea8381">More...</a><br /></td></tr>
<tr class="separator:a2e3a5dc0a51b664c60ae8010a2ea8381"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a11b625c5efa06fbc733daacf145a63de"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dd7/class_area_damage_looped.html#a11b625c5efa06fbc733daacf145a63de">m_LoopInterval</a> = 1.0</td></tr>
<tr class="memdesc:a11b625c5efa06fbc733daacf145a63de"><td class="mdescLeft">&#160;</td><td class="mdescRight">Loop interval in seconds.  <a href="../../dd/dd7/class_area_damage_looped.html#a11b625c5efa06fbc733daacf145a63de">More...</a><br /></td></tr>
<tr class="separator:a11b625c5efa06fbc733daacf145a63de"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a695b4c4722b206fbb133f5404d14f0c1"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dd7/class_area_damage_looped.html#a695b4c4722b206fbb133f5404d14f0c1">m_AmountOfLoops</a> = 0</td></tr>
<tr class="memdesc:a695b4c4722b206fbb133f5404d14f0c1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Caching of the amount of loops that will be performed in this frame.  <a href="../../dd/dd7/class_area_damage_looped.html#a695b4c4722b206fbb133f5404d14f0c1">More...</a><br /></td></tr>
<tr class="separator:a695b4c4722b206fbb133f5404d14f0c1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8ff3bc2696b62c0ddd9cc3a0f053b700"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dd7/class_area_damage_looped.html#a8ff3bc2696b62c0ddd9cc3a0f053b700">m_LoopByObject</a> = true</td></tr>
<tr class="memdesc:a8ff3bc2696b62c0ddd9cc3a0f053b700"><td class="mdescLeft">&#160;</td><td class="mdescRight">Decides if the looping will be using the <a class="el" href="../../d8/d83/class_object.html">Object</a> as reference or the time since last update loop.  <a href="../../dd/dd7/class_area_damage_looped.html#a8ff3bc2696b62c0ddd9cc3a0f053b700">More...</a><br /></td></tr>
<tr class="separator:a8ff3bc2696b62c0ddd9cc3a0f053b700"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d5/dd4/_area_damage_looped_8c_source.html#l00001">1</a> of file <a class="el" href="../../d5/dd4/_area_damage_looped_8c_source.html">AreaDamageLooped.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="aff4713b0c7ed8b01ff2d0498ca7abb58" name="aff4713b0c7ed8b01ff2d0498ca7abb58"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aff4713b0c7ed8b01ff2d0498ca7abb58">&#9670;&#160;</a></span>AreaDamageLooped()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AreaDamageLooped::AreaDamageLooped </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>parent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>loopByObject</em> = <code>true</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dd4/_area_damage_looped_8c_source.html#l00018">18</a> of file <a class="el" href="../../d5/dd4/_area_damage_looped_8c_source.html">AreaDamageLooped.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a52b68fbafc24d68e3eb075c047c74c44" name="a52b68fbafc24d68e3eb075c047c74c44"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a52b68fbafc24d68e3eb075c047c74c44">&#9670;&#160;</a></span>CalculateDamageScale()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override protected <a class="el" href="../../d4/dc3/classfloat.html">float</a> AreaDamageLooped::CalculateDamageScale </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/db9/class_trigger_insider.html">TriggerInsider</a>&#160;</td>
          <td class="paramname"><em>insider</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>deltaTime</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dd4/_area_damage_looped_8c_source.html#l00074">74</a> of file <a class="el" href="../../d5/dd4/_area_damage_looped_8c_source.html">AreaDamageLooped.c</a>.</p>

</div>
</div>
<a id="aaa91351d6a029f270eb18597a82a710b" name="aaa91351d6a029f270eb18597a82a710b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaa91351d6a029f270eb18597a82a710b">&#9670;&#160;</a></span>OnEnterServerEvent()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void AreaDamageLooped::OnEnterServerEvent </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/db9/class_trigger_insider.html">TriggerInsider</a>&#160;</td>
          <td class="paramname"><em>insider</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dd4/_area_damage_looped_8c_source.html#l00037">37</a> of file <a class="el" href="../../d5/dd4/_area_damage_looped_8c_source.html">AreaDamageLooped.c</a>.</p>

</div>
</div>
<a id="aba003bd67caea31ef69577f196de7b4a" name="aba003bd67caea31ef69577f196de7b4a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aba003bd67caea31ef69577f196de7b4a">&#9670;&#160;</a></span>OnStayFinishServerEvent()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void AreaDamageLooped::OnStayFinishServerEvent </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dd4/_area_damage_looped_8c_source.html#l00065">65</a> of file <a class="el" href="../../d5/dd4/_area_damage_looped_8c_source.html">AreaDamageLooped.c</a>.</p>

</div>
</div>
<a id="a293122f18815fe5b37d4959182941306" name="a293122f18815fe5b37d4959182941306"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a293122f18815fe5b37d4959182941306">&#9670;&#160;</a></span>OnStayServerEvent()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void AreaDamageLooped::OnStayServerEvent </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/db9/class_trigger_insider.html">TriggerInsider</a>&#160;</td>
          <td class="paramname"><em>insider</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>deltaTime</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dd4/_area_damage_looped_8c_source.html#l00057">57</a> of file <a class="el" href="../../d5/dd4/_area_damage_looped_8c_source.html">AreaDamageLooped.c</a>.</p>

</div>
</div>
<a id="ae01de4c6e7c6e69331a5ef46269ae790" name="ae01de4c6e7c6e69331a5ef46269ae790"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae01de4c6e7c6e69331a5ef46269ae790">&#9670;&#160;</a></span>OnStayStartServerEvent()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void AreaDamageLooped::OnStayStartServerEvent </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>nrOfInsiders</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dd4/_area_damage_looped_8c_source.html#l00046">46</a> of file <a class="el" href="../../d5/dd4/_area_damage_looped_8c_source.html">AreaDamageLooped.c</a>.</p>

</div>
</div>
<a id="aab711ad7baea97bfe8181a017082536f" name="aab711ad7baea97bfe8181a017082536f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aab711ad7baea97bfe8181a017082536f">&#9670;&#160;</a></span>OnTriggerCreated()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void AreaDamageLooped::OnTriggerCreated </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Gets called when the trigger is spawned, so is the start and also a reset. </p>

<p class="definition">Definition at line <a class="el" href="../../d5/dd4/_area_damage_looped_8c_source.html#l00024">24</a> of file <a class="el" href="../../d5/dd4/_area_damage_looped_8c_source.html">AreaDamageLooped.c</a>.</p>

</div>
</div>
<a id="a98cd3cc3481b5375bd476f3a1bf32f04" name="a98cd3cc3481b5375bd476f3a1bf32f04"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a98cd3cc3481b5375bd476f3a1bf32f04">&#9670;&#160;</a></span>SetLoopInterval()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void AreaDamageLooped::SetLoopInterval </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>time</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dd4/_area_damage_looped_8c_source.html#l00032">32</a> of file <a class="el" href="../../d5/dd4/_area_damage_looped_8c_source.html">AreaDamageLooped.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a2e3a5dc0a51b664c60ae8010a2ea8381" name="a2e3a5dc0a51b664c60ae8010a2ea8381"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2e3a5dc0a51b664c60ae8010a2ea8381">&#9670;&#160;</a></span>m_AccumulatedTime</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a> AreaDamageLooped::m_AccumulatedTime = 0.0</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>How much time has accumulated. </p>

<p class="definition">Definition at line <a class="el" href="../../d5/dd4/_area_damage_looped_8c_source.html#l00008">8</a> of file <a class="el" href="../../d5/dd4/_area_damage_looped_8c_source.html">AreaDamageLooped.c</a>.</p>

</div>
</div>
<a id="a695b4c4722b206fbb133f5404d14f0c1" name="a695b4c4722b206fbb133f5404d14f0c1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a695b4c4722b206fbb133f5404d14f0c1">&#9670;&#160;</a></span>m_AmountOfLoops</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> AreaDamageLooped::m_AmountOfLoops = 0</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Caching of the amount of loops that will be performed in this frame. </p>

<p class="definition">Definition at line <a class="el" href="../../d5/dd4/_area_damage_looped_8c_source.html#l00013">13</a> of file <a class="el" href="../../d5/dd4/_area_damage_looped_8c_source.html">AreaDamageLooped.c</a>.</p>

</div>
</div>
<a id="af5269c3018e62bdf472e50b3a418be8a" name="af5269c3018e62bdf472e50b3a418be8a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af5269c3018e62bdf472e50b3a418be8a">&#9670;&#160;</a></span>m_CurrentTime</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a> AreaDamageLooped::m_CurrentTime = 0.0</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Current start time in seconds. </p>

<p class="definition">Definition at line <a class="el" href="../../d5/dd4/_area_damage_looped_8c_source.html#l00004">4</a> of file <a class="el" href="../../d5/dd4/_area_damage_looped_8c_source.html">AreaDamageLooped.c</a>.</p>

</div>
</div>
<a id="a8ff3bc2696b62c0ddd9cc3a0f053b700" name="a8ff3bc2696b62c0ddd9cc3a0f053b700"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8ff3bc2696b62c0ddd9cc3a0f053b700">&#9670;&#160;</a></span>m_LoopByObject</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d9/db9/classbool.html">bool</a> AreaDamageLooped::m_LoopByObject = true</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Decides if the looping will be using the <a class="el" href="../../d8/d83/class_object.html">Object</a> as reference or the time since last update loop. </p>

<p class="definition">Definition at line <a class="el" href="../../d5/dd4/_area_damage_looped_8c_source.html#l00016">16</a> of file <a class="el" href="../../d5/dd4/_area_damage_looped_8c_source.html">AreaDamageLooped.c</a>.</p>

</div>
</div>
<a id="a11b625c5efa06fbc733daacf145a63de" name="a11b625c5efa06fbc733daacf145a63de"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a11b625c5efa06fbc733daacf145a63de">&#9670;&#160;</a></span>m_LoopInterval</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a> AreaDamageLooped::m_LoopInterval = 1.0</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Loop interval in seconds. </p>

<p class="definition">Definition at line <a class="el" href="../../d5/dd4/_area_damage_looped_8c_source.html#l00010">10</a> of file <a class="el" href="../../d5/dd4/_area_damage_looped_8c_source.html">AreaDamageLooped.c</a>.</p>

</div>
</div>
<a id="a6512f77a804d445ec9b21eba709bd2ee" name="a6512f77a804d445ec9b21eba709bd2ee"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6512f77a804d445ec9b21eba709bd2ee">&#9670;&#160;</a></span>m_PreviousTime</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a> AreaDamageLooped::m_PreviousTime = 0.0</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Previous start time in seconds. </p>

<p class="definition">Definition at line <a class="el" href="../../d5/dd4/_area_damage_looped_8c_source.html#l00006">6</a> of file <a class="el" href="../../d5/dd4/_area_damage_looped_8c_source.html">AreaDamageLooped.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Classes/AreaDamage/AreaDamageNew/<a class="el" href="../../d5/dd4/_area_damage_looped_8c_source.html">AreaDamageLooped.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dd/dd7/class_area_damage_looped.html">AreaDamageLooped</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
